Module | Sequel::Plugins::LazyAttributes::ClassMethods
In: | lib/sequel/plugins/lazy_attributes.rb

### Methods

lazy_attributes

### Attributes

lazy_attributes_module | [RW] | Module to store the lazy attribute getter methods, so they can be overridden and call super to get the lazy attribute behavior

### Public Instance methods

lazy_attributes(*attrs)

Remove the given attributes from the list of columns selected by default. For each attribute given, create an accessor method that allows a lazy lookup of the attribute. Each attribute should be given as a symbol.

[Source]

        # File lib/sequel/plugins/lazy_attributes.rb, line 39
    39:         def lazy_attributes(*attrs)
    40:           set_dataset(dataset.select(*(columns - attrs)))
    41:           attrs.each{|a| define_lazy_attribute_getter(a)}
    42:         end

[Validate]